// Author: Frank Benoit
//         torhu
// This prints the sizes of some C struct how the MS-C-Compiler sees them

#define WINVER 0x0500
#define _WIN32_IE 0x0501
#define _WIN32_WINDOWS 0x0410
#define _WIN32_WINNT 0x0501

//#include <stdafx.h>
#include <stdio.h>

#include <windows.h>
#include <winuser.h>
#include <cpl.h>
#include <commctrl.h>
#include <dbt.h>
#include <shlwapi.h>
#include <shlobj.h>
#include <stdarg.h>
#include <lm.h>
#include <ras.h>
#include <prsht.h>
#include <wfext.h>
#include <Richedit.h>
#include <usp10.h>
#include <uxtheme.h>
#include <nspapi.h>
#include <msctf.h>
#include <Mmreg.h>
#include <OAIdl.h>

//#include <Audiodefs.h> // DX SDK 2008, probably 28 bytes excluding possible padding



typedef struct {
    const char* name;
    int size;
} TSizeValue;

const TSizeValue size_values[] = {
//    { "AtkValueIface", sizeof( AtkValueIface ) },
    { "ABC", sizeof( ABC ) },
    { "ABCFLOAT", sizeof( ABCFLOAT ) },
    { "ACCEL", sizeof( ACCEL ) },
    { "ACCESS_ALLOWED_ACE", sizeof( ACCESS_ALLOWED_ACE ) },
    { "ACCESS_DENIED_ACE", sizeof( ACCESS_DENIED_ACE ) },
    { "ACCESSTIMEOUT", sizeof( ACCESSTIMEOUT ) },
    { "ACE_HEADER", sizeof( ACE_HEADER ) },
    { "ACL", sizeof( ACL ) },
    { "ACL_REVISION_INFORMATION", sizeof( ACL_REVISION_INFORMATION ) },
    { "ACL_SIZE_INFORMATION", sizeof( ACL_SIZE_INFORMATION ) },
    { "ACTCTXA", sizeof( ACTCTXA ) },
    { "ACTCTXW", sizeof( ACTCTXW ) },
    { "ACTION_HEADER", sizeof( ACTION_HEADER ) },
    { "ADAPTER_STATUS", sizeof( ADAPTER_STATUS ) },
    { "ADDJOB_INFO_1", sizeof( ADDJOB_INFO_1 ) },
    { "ANIMATIONINFO", sizeof( ANIMATIONINFO ) },
    { "APPBARDATA", sizeof( APPBARDATA ) },
    { "BITMAP", sizeof( BITMAP ) },
    { "BITMAPCOREHEADER", sizeof( BITMAPCOREHEADER ) },
    { "BITMAPCOREINFO", sizeof( BITMAPCOREINFO ) },
    { "BITMAPFILEHEADER", sizeof( BITMAPFILEHEADER ) },
    { "BITMAPINFO", sizeof( BITMAPINFO ) },
    { "BITMAPINFOHEADER", sizeof( BITMAPINFOHEADER ) },
    { "BITMAPV4HEADER", sizeof( BITMAPV4HEADER ) },
    { "_BLENDFUNCTION", sizeof( _BLENDFUNCTION ) },
    { "BLOB", sizeof( BLOB ) },
    { "BROWSEINFOA", sizeof( BROWSEINFOA ) },
    { "BROWSEINFOW", sizeof( BROWSEINFOW ) },
    { "BUTTON_IMAGELIST", sizeof( BUTTON_IMAGELIST ) },
    { "BY_HANDLE_FILE_INFORMATION", sizeof( BY_HANDLE_FILE_INFORMATION ) },
    { "CANDIDATEFORM", sizeof( CANDIDATEFORM ) },
    { "CANDIDATELIST", sizeof( CANDIDATELIST ) },
    { "CBTACTIVATESTRUCT", sizeof( CBTACTIVATESTRUCT ) },
    { "CBT_CREATEWND", sizeof( CBT_CREATEWND ) },
    { "CHARFORMAT", sizeof( CHARFORMAT ) },
    { "CHAR_INFO", sizeof( CHAR_INFO ) },
    { "CHARRANGE", sizeof( CHARRANGE ) },
    //{ "CHARSET", sizeof( CHARSET ) },
    { "CHARSETINFO", sizeof( CHARSETINFO ) },
    { "CHOOSECOLORA", sizeof( CHOOSECOLORA ) },
    { "CHOOSECOLORW", sizeof( CHOOSECOLORW ) },
    { "CHOOSEFONTA", sizeof( CHOOSEFONTA ) },
    { "CHOOSEFONTW", sizeof( CHOOSEFONTW ) },
    { "CIDA", sizeof( CIDA ) },
    { "CIEXYZ", sizeof( CIEXYZ ) },
    { "CIEXYZTRIPLE", sizeof( CIEXYZTRIPLE ) },
    { "CLIENTCREATESTRUCT", sizeof( CLIENTCREATESTRUCT ) },
    { "CMINVOKECOMMANDINFO", sizeof( CMINVOKECOMMANDINFO ) },
    { "COLORADJUSTMENT", sizeof( COLORADJUSTMENT ) },
    { "COLORMAP", sizeof( COLORMAP ) },
    { "COMBOBOXINFO", sizeof( COMBOBOXINFO ) },
    { "COMMCONFIG", sizeof( COMMCONFIG ) },
    { "COMMPROP", sizeof( COMMPROP ) },
    { "COMMTIMEOUTS", sizeof( COMMTIMEOUTS ) },
    { "COMPAREITEMSTRUCT", sizeof( COMPAREITEMSTRUCT ) },
    { "COMPCOLOR", sizeof( COMPCOLOR ) },
    { "COMPOSITIONFORM", sizeof( COMPOSITIONFORM ) },
    { "COMSTAT", sizeof( COMSTAT ) },
    { "CONNECTDLGSTRUCT", sizeof( CONNECTDLGSTRUCT ) },
    { "CONSOLE_CURSOR_INFO", sizeof( CONSOLE_CURSOR_INFO ) },
    { "CONSOLE_SCREEN_BUFFER_INFO", sizeof( CONSOLE_SCREEN_BUFFER_INFO ) },
    { "CONTEXT", sizeof( CONTEXT ) },
    { "CONVCONTEXT", sizeof( CONVCONTEXT ) },
    { "CONVINFO", sizeof( CONVINFO ) },
    { "COORD", sizeof( COORD ) },
    { "COPYDATASTRUCT", sizeof( COPYDATASTRUCT ) },
    { "CPINFO", sizeof( CPINFO ) },
    { "CPLINFO", sizeof( CPLINFO ) },
    { "CREATE_PROCESS_DEBUG_INFO", sizeof( CREATE_PROCESS_DEBUG_INFO ) },
    { "CREATESTRUCT", sizeof( CREATESTRUCT ) },
    { "CREATE_THREAD_DEBUG_INFO", sizeof( CREATE_THREAD_DEBUG_INFO ) },
    { "CRITICAL_SECTION", sizeof( CRITICAL_SECTION ) },
    { "CRITICAL_SECTION_DEBUG", sizeof( CRITICAL_SECTION_DEBUG ) },
    { "CURRENCYFMT", sizeof( CURRENCYFMT ) },
    { "CURSORSHAPE", sizeof( CURSORSHAPE ) },
    { "CWPRETSTRUCT", sizeof( CWPRETSTRUCT ) },
    { "CWPSTRUCT", sizeof( CWPSTRUCT ) },
    { "DATATYPES_INFO_1", sizeof( DATATYPES_INFO_1 ) },
    { "DCB", sizeof( DCB ) },
    { "DDEACK", sizeof( DDEACK ) },
    { "DDEADVISE", sizeof( DDEADVISE ) },
    { "DDEDATA", sizeof( DDEDATA ) },
    { "DDELN", sizeof( DDELN ) },
    { "DDEML_MSG_HOOK_DATA", sizeof( DDEML_MSG_HOOK_DATA ) },
    { "DDEPOKE", sizeof( DDEPOKE ) },
    { "DDEUP", sizeof( DDEUP ) },
    { "DEBUG_EVENT", sizeof( DEBUG_EVENT ) },
    { "DEBUGHOOKINFO", sizeof( DEBUGHOOKINFO ) },
    { "DELETEITEMSTRUCT", sizeof( DELETEITEMSTRUCT ) },
    { "DEV_BROADCAST_HDR", sizeof( DEV_BROADCAST_HDR ) },
    { "DEV_BROADCAST_OEM", sizeof( DEV_BROADCAST_OEM ) },
    { "DEV_BROADCAST_PORT", sizeof( DEV_BROADCAST_PORT ) },
    { "_DEV_BROADCAST_USERDEFINED", sizeof( _DEV_BROADCAST_USERDEFINED ) },
    { "DEV_BROADCAST_VOLUME", sizeof( DEV_BROADCAST_VOLUME ) },
    { "DEVMODEA", sizeof( DEVMODEA ) },
    { "DEVMODEW", sizeof( DEVMODEW ) },
    { "DEVNAMES", sizeof( DEVNAMES ) },
    { "DIBSECTION", sizeof( DIBSECTION ) },
    { "DISCDLGSTRUCT", sizeof( DISCDLGSTRUCT ) },
    { "DISK_GEOMETRY", sizeof( DISK_GEOMETRY ) },
    { "DISK_PERFORMANCE", sizeof( DISK_PERFORMANCE ) },
    { "DLGITEMTEMPLATE", sizeof( DLGITEMTEMPLATE ) },
    { "DLGTEMPLATE", sizeof( DLGTEMPLATE ) },
    { "DLLVERSIONINFO", sizeof( DLLVERSIONINFO ) },
    { "DOC_INFO_1", sizeof( DOC_INFO_1 ) },
    { "DOC_INFO_2", sizeof( DOC_INFO_2 ) },
    { "DOCINFOA", sizeof( DOCINFOA ) },
    { "DOCINFOW", sizeof( DOCINFOW ) },
    { "DRAGLISTINFO", sizeof( DRAGLISTINFO ) },
    { "DRAWITEMSTRUCT", sizeof( DRAWITEMSTRUCT ) },
    { "DRAWTEXTPARAMS", sizeof( DRAWTEXTPARAMS ) },
    { "DRIVE_LAYOUT_INFORMATION", sizeof( DRIVE_LAYOUT_INFORMATION ) },
    { "DRIVER_INFO_1", sizeof( DRIVER_INFO_1 ) },
    { "DRIVER_INFO_2", sizeof( DRIVER_INFO_2 ) },
    { "DRIVER_INFO_3", sizeof( DRIVER_INFO_3 ) },
    { "DROPFILES", sizeof( DROPFILES ) },
    { "EDITSTREAM", sizeof( EDITSTREAM ) },
    //{ "EMPTYRECORD", sizeof( EMPTYRECORD ) },
    { "EMR", sizeof( EMR ) },
    { "EMRABORTPATH", sizeof( EMRABORTPATH ) },
    { "EMRANGLEARC", sizeof( EMRANGLEARC ) },
    { "EMRARC", sizeof( EMRARC ) },
    { "EMRBITBLT", sizeof( EMRBITBLT ) },
    { "EMRCREATEBRUSHINDIRECT", sizeof( EMRCREATEBRUSHINDIRECT ) },
    { "EMRCREATECOLORSPACE", sizeof( EMRCREATECOLORSPACE ) },
    { "EMRCREATEDIBPATTERNBRUSHPT", sizeof( EMRCREATEDIBPATTERNBRUSHPT ) },
    { "EMRCREATEMONOBRUSH", sizeof( EMRCREATEMONOBRUSH ) },
    { "EMRCREATEPALETTE", sizeof( EMRCREATEPALETTE ) },
    { "EMRCREATEPEN", sizeof( EMRCREATEPEN ) },
    { "EMRELLIPSE", sizeof( EMRELLIPSE ) },
    { "EMREOF", sizeof( EMREOF ) },
    { "EMREXCLUDECLIPRECT", sizeof( EMREXCLUDECLIPRECT ) },
    { "EMREXTCREATEFONTINDIRECTW", sizeof( EMREXTCREATEFONTINDIRECTW ) },
    { "EMREXTCREATEPEN", sizeof( EMREXTCREATEPEN ) },
    { "EMREXTFLOODFILL", sizeof( EMREXTFLOODFILL ) },
    { "EMREXTSELECTCLIPRGN", sizeof( EMREXTSELECTCLIPRGN ) },
    { "EMREXTTEXTOUTA", sizeof( EMREXTTEXTOUTA ) },
    { "EMRFILLPATH", sizeof( EMRFILLPATH ) },
    { "EMRFILLRGN", sizeof( EMRFILLRGN ) },
    { "EMRFORMAT", sizeof( EMRFORMAT ) },
    { "EMRFRAMERGN", sizeof( EMRFRAMERGN ) },
    { "EMRGDICOMMENT", sizeof( EMRGDICOMMENT ) },
    { "EMRINVERTRGN", sizeof( EMRINVERTRGN ) },
    { "EMRLINETO", sizeof( EMRLINETO ) },
    { "EMRMASKBLT", sizeof( EMRMASKBLT ) },
    { "EMRMODIFYWORLDTRANSFORM", sizeof( EMRMODIFYWORLDTRANSFORM ) },
    { "EMROFFSETCLIPRGN", sizeof( EMROFFSETCLIPRGN ) },
    { "EMRPLGBLT", sizeof( EMRPLGBLT ) },
    { "EMRPOLYDRAW", sizeof( EMRPOLYDRAW ) },
    { "EMRPOLYDRAW16", sizeof( EMRPOLYDRAW16 ) },
    { "EMRPOLYLINE", sizeof( EMRPOLYLINE ) },
    { "EMRPOLYLINE16", sizeof( EMRPOLYLINE16 ) },
    { "EMRPOLYPOLYLINE", sizeof( EMRPOLYPOLYLINE ) },
    { "EMRPOLYPOLYLINE16", sizeof( EMRPOLYPOLYLINE16 ) },
    { "EMRPOLYTEXTOUTA", sizeof( EMRPOLYTEXTOUTA ) },
    { "EMRRESIZEPALETTE", sizeof( EMRRESIZEPALETTE ) },
    { "EMRRESTOREDC", sizeof( EMRRESTOREDC ) },
    { "EMRROUNDRECT", sizeof( EMRROUNDRECT ) },
    { "EMRSCALEVIEWPORTEXTEX", sizeof( EMRSCALEVIEWPORTEXTEX ) },
    { "EMRSELECTCLIPPATH", sizeof( EMRSELECTCLIPPATH ) },
    { "EMRSELECTCOLORSPACE", sizeof( EMRSELECTCOLORSPACE ) },
    { "EMRSELECTOBJECT", sizeof( EMRSELECTOBJECT ) },
    { "EMRSELECTPALETTE", sizeof( EMRSELECTPALETTE ) },
    { "EMRSETARCDIRECTION", sizeof( EMRSETARCDIRECTION ) },
    { "EMRSETBKCOLOR", sizeof( EMRSETBKCOLOR ) },
    { "EMRSETCOLORADJUSTMENT", sizeof( EMRSETCOLORADJUSTMENT ) },
    { "EMRSETDIBITSTODEVICE", sizeof( EMRSETDIBITSTODEVICE ) },
    { "EMRSETMAPPERFLAGS", sizeof( EMRSETMAPPERFLAGS ) },
    { "EMRSETMITERLIMIT", sizeof( EMRSETMITERLIMIT ) },
    { "EMRSETPALETTEENTRIES", sizeof( EMRSETPALETTEENTRIES ) },
    { "EMRSETPIXELV", sizeof( EMRSETPIXELV ) },
    { "EMRSETVIEWPORTEXTEX", sizeof( EMRSETVIEWPORTEXTEX ) },
    { "EMRSETVIEWPORTORGEX", sizeof( EMRSETVIEWPORTORGEX ) },
    { "EMRSETWORLDTRANSFORM", sizeof( EMRSETWORLDTRANSFORM ) },
    { "EMRSTRETCHBLT", sizeof( EMRSTRETCHBLT ) },
    { "EMRSTRETCHDIBITS", sizeof( EMRSTRETCHDIBITS ) },
    { "EMRTEXT", sizeof( EMRTEXT ) },
    { "ENCORRECTTEXT", sizeof( ENCORRECTTEXT ) },
    { "ENDROPFILES", sizeof( ENDROPFILES ) },
    { "ENHMETAHEADER", sizeof( ENHMETAHEADER ) },
    { "ENHMETARECORD", sizeof( ENHMETARECORD ) },
    { "ENOLEOPFAILED", sizeof( ENOLEOPFAILED ) },
    { "ENPROTECTED", sizeof( ENPROTECTED ) },
    { "ENSAVECLIPBOARD", sizeof( ENSAVECLIPBOARD ) },
    { "ENUMLOGFONTA", sizeof( ENUMLOGFONTA ) },
    { "ENUMLOGFONTEXA", sizeof( ENUMLOGFONTEXA ) },
    { "ENUMLOGFONTEXW", sizeof( ENUMLOGFONTEXW ) },
    { "ENUMLOGFONTW", sizeof( ENUMLOGFONTW ) },
    { "ENUM_SERVICE_STATUS", sizeof( ENUM_SERVICE_STATUS ) },
    { "EVENTLOGRECORD", sizeof( EVENTLOGRECORD ) },
    { "EVENTMSG", sizeof( EVENTMSG ) },
    { "EXCEPTION_DEBUG_INFO", sizeof( EXCEPTION_DEBUG_INFO ) },
    { "EXCEPTION_POINTERS", sizeof( EXCEPTION_POINTERS ) },
    { "EXCEPTION_RECORD", sizeof( EXCEPTION_RECORD ) },
    { "EXIT_PROCESS_DEBUG_INFO", sizeof( EXIT_PROCESS_DEBUG_INFO ) },
    { "EXIT_THREAD_DEBUG_INFO", sizeof( EXIT_THREAD_DEBUG_INFO ) },
    { "EXT_BUTTON", sizeof( EXT_BUTTON ) },
    { "EXTLOGFONT", sizeof( EXTLOGFONT ) },
    { "EXTLOGPEN", sizeof( EXTLOGPEN ) },
    { "FILETIME", sizeof( FILETIME ) },
    { "FILTERKEYS", sizeof( FILTERKEYS ) },
    { "FIND_NAME_BUFFER", sizeof( FIND_NAME_BUFFER ) },
    { "FIND_NAME_HEADER", sizeof( FIND_NAME_HEADER ) },
    { "FINDREPLACE", sizeof( FINDREPLACE ) },
    { "FINDTEXT", sizeof( FINDTEXT ) },
    { "FINDTEXTEX", sizeof( FINDTEXTEX ) },
    { "FIXED", sizeof( FIXED ) },
    { "FLOATING_SAVE_AREA", sizeof( FLOATING_SAVE_AREA ) },
    { "FMS_GETDRIVEINFO", sizeof( FMS_GETDRIVEINFO ) },
    { "FMS_GETFILESEL", sizeof( FMS_GETFILESEL ) },
    { "FMS_LOAD", sizeof( FMS_LOAD ) },
    { "FMS_TOOLBARLOAD", sizeof( FMS_TOOLBARLOAD ) },
    { "FOCUS_EVENT_RECORD", sizeof( FOCUS_EVENT_RECORD ) },
    { "FONTSIGNATURE", sizeof( FONTSIGNATURE ) },
    { "FORMAT_PARAMETERS", sizeof( FORMAT_PARAMETERS ) },
    { "FORMATRANGE", sizeof( FORMATRANGE ) },
    { "FORM_INFO_1", sizeof( FORM_INFO_1 ) },
    { "GCP_RESULTSA", sizeof( GCP_RESULTSA ) },
    { "GCP_RESULTSW", sizeof( GCP_RESULTSW ) },
    { "GENERIC_MAPPING", sizeof( GENERIC_MAPPING ) },
    { "GLYPHMETRICS", sizeof( GLYPHMETRICS ) },
    { "GLYPHMETRICSFLOAT", sizeof( GLYPHMETRICSFLOAT ) },
    { "GOFFSET", sizeof( GOFFSET ) },
    { "GRADIENT_RECT", sizeof( GRADIENT_RECT ) },
    { "GROUP_INFO_2", sizeof( GROUP_INFO_2 ) },
    { "GUID", sizeof( GUID ) },
    { "GUITHREADINFO", sizeof( GUITHREADINFO ) },
    { "HANDLETABLE", sizeof( HANDLETABLE ) },
    { "HD_HITTESTINFO", sizeof( HD_HITTESTINFO ) },
    { "HD_ITEM", sizeof( HD_ITEM ) },
    { "HDITEMA", sizeof( HDITEMA ) },
    { "HDITEMW", sizeof( HDITEMW ) },
    { "HD_LAYOUT", sizeof( HD_LAYOUT ) },
    { "HD_NOTIFY", sizeof( HD_NOTIFY ) },
    { "HELPINFO", sizeof( HELPINFO ) },
    { "HELPWININFO", sizeof( HELPWININFO ) },
    { "HIGHCONTRASTA", sizeof( HIGHCONTRASTA ) },
    { "HIGHCONTRASTW", sizeof( HIGHCONTRASTW ) },
    { "HSZPAIR", sizeof( HSZPAIR ) },
    { "ICONINFO", sizeof( ICONINFO ) },
    { "ICONMETRICS", sizeof( ICONMETRICS ) },
    { "IMAGE_DOS_HEADER", sizeof( IMAGE_DOS_HEADER ) },
    { "IMAGEINFO", sizeof( IMAGEINFO ) },
    { "INITCOMMONCONTROLSEX", sizeof( INITCOMMONCONTROLSEX ) },
    { "INPUT", sizeof( INPUT ) },
    { "INPUT_RECORD", sizeof( INPUT_RECORD ) },
    { "ITEMIDLIST", sizeof( ITEMIDLIST ) },
    { "JOB_INFO_1", sizeof( JOB_INFO_1 ) },
    { "JOB_INFO_2", sizeof( JOB_INFO_2 ) },
    { "KERNINGPAIR", sizeof( KERNINGPAIR ) },
    { "KEYBDINPUT", sizeof( KEYBDINPUT ) },
    { "KEY_EVENT_RECORD", sizeof( KEY_EVENT_RECORD ) },
    { "LANA_ENUM", sizeof( LANA_ENUM ) },
    { "LAYERPLANEDESCRIPTOR", sizeof( LAYERPLANEDESCRIPTOR ) },
    { "LDT_ENTRY", sizeof( LDT_ENTRY ) },
    { "LIST_ENTRY", sizeof( LIST_ENTRY ) },
    { "LITEM", sizeof( LITEM ) },
    { "LOAD_DLL_DEBUG_INFO", sizeof( LOAD_DLL_DEBUG_INFO ) },
    { "LOCALESIGNATURE", sizeof( LOCALESIGNATURE ) },
    { "LOCALGROUP_INFO_0", sizeof( LOCALGROUP_INFO_0 ) },
    { "LOCALGROUP_MEMBERS_INFO_0", sizeof( LOCALGROUP_MEMBERS_INFO_0 ) },
    { "LOCALGROUP_MEMBERS_INFO_3", sizeof( LOCALGROUP_MEMBERS_INFO_3 ) },
    { "LOGBRUSH", sizeof( LOGBRUSH ) },
    { "LOGCOLORSPACE", sizeof( LOGCOLORSPACE ) },
    { "LOGFONTA", sizeof( LOGFONTA ) },
    { "LOGFONTW", sizeof( LOGFONTW ) },
    { "LOGPALETTE", sizeof( LOGPALETTE ) },
    { "LOGPEN", sizeof( LOGPEN ) },
	{ "LUID", sizeof( LUID ) },
	{ "LUID_AND_ATTRIBUTES", sizeof( LUID_AND_ATTRIBUTES ) },
    { "LV_COLUMN", sizeof( LV_COLUMN ) },
    { "LVCOLUMNA", sizeof( LVCOLUMNA ) },
    { "LVCOLUMNW", sizeof( LVCOLUMNW ) },
    { "LV_DISPINFO", sizeof( LV_DISPINFO ) },
    { "LV_FINDINFO", sizeof( LV_FINDINFO ) },
    { "LVFINDINFOA", sizeof( LVFINDINFOA ) },
    { "LVFINDINFOW", sizeof( LVFINDINFOW ) },
    { "LVHITTESTINFO", sizeof( LVHITTESTINFO ) },
    { "LV_HITTESTINFO", sizeof( LV_HITTESTINFO ) },
    { "LV_ITEM", sizeof( LV_ITEM ) },
    { "LVITEMA", sizeof( LVITEMA ) },
    { "LVITEMW", sizeof( LVITEMW ) },
    { "LV_KEYDOWN", sizeof( LV_KEYDOWN ) },
    { "MARGINS", sizeof( MARGINS ) },
    { "MAT2", sizeof( MAT2 ) },
    { "MDICREATESTRUCT", sizeof( MDICREATESTRUCT ) },
    { "MEASUREITEMSTRUCT", sizeof( MEASUREITEMSTRUCT ) },
    { "MEMORY_BASIC_INFORMATION", sizeof( MEMORY_BASIC_INFORMATION ) },
    { "MEMORYSTATUS", sizeof( MEMORYSTATUS ) },
    { "MENUBARINFO", sizeof( MENUBARINFO ) },
    { "MENU_EVENT_RECORD", sizeof( MENU_EVENT_RECORD ) },
    //{ "MENUEX_TEMPLATE_HEADER", sizeof( MENUEX_TEMPLATE_HEADER ) },
    //{ "MENUEX_TEMPLATE_ITEM", sizeof( MENUEX_TEMPLATE_ITEM ) },
    { "MENUINFO", sizeof( MENUINFO ) },
    { "MENUITEMINFOA", sizeof( MENUITEMINFOA ) },
    { "MENUITEMINFOW", sizeof( MENUITEMINFOW ) },
    { "MENUITEMTEMPLATE", sizeof( MENUITEMTEMPLATE ) },
    { "MENUITEMTEMPLATEHEADER", sizeof( MENUITEMTEMPLATEHEADER ) },
    //{ "MENUTEMPLATE", sizeof( MENUTEMPLATE ) },
    { "METAFILEPICT", sizeof( METAFILEPICT ) },
    { "METAHEADER", sizeof( METAHEADER ) },
    { "METARECORD", sizeof( METARECORD ) },
    { "MINIMIZEDMETRICS", sizeof( MINIMIZEDMETRICS ) },
    { "MINMAXINFO", sizeof( MINMAXINFO ) },
    { "MODEMDEVCAPS", sizeof( MODEMDEVCAPS ) },
    { "MODEMSETTINGS", sizeof( MODEMSETTINGS ) },
    { "MONCBSTRUCT", sizeof( MONCBSTRUCT ) },
    { "MONCONVSTRUCT", sizeof( MONCONVSTRUCT ) },
    { "MONERRSTRUCT", sizeof( MONERRSTRUCT ) },
    { "MONHSZSTRUCT", sizeof( MONHSZSTRUCT ) },
    { "MONITORINFO", sizeof( MONITORINFO ) },
    { "MONITOR_INFO_1", sizeof( MONITOR_INFO_1 ) },
    { "MONITOR_INFO_2", sizeof( MONITOR_INFO_2 ) },
    { "MONITORINFO", sizeof( MONITORINFO ) },
    { "MONITORINFOEX", sizeof( MONITORINFOEX ) },
    { "MONLINKSTRUCT", sizeof( MONLINKSTRUCT ) },
    { "MONMSGSTRUCT", sizeof( MONMSGSTRUCT ) },
    { "MOUSE_EVENT_RECORD", sizeof( MOUSE_EVENT_RECORD ) },
    { "MOUSEHOOKSTRUCT", sizeof( MOUSEHOOKSTRUCT ) },
    { "MOUSEINPUT", sizeof( MOUSEINPUT ) },
    { "MOUSEKEYS", sizeof( MOUSEKEYS ) },
    { "MSG", sizeof( MSG ) },
    { "MSGBOXPARAMS", sizeof( MSGBOXPARAMS ) },
    { "MSGFILTER", sizeof( MSGFILTER ) },
    { "MULTIKEYHELP", sizeof( MULTIKEYHELP ) },
    { "NAME_BUFFER", sizeof( NAME_BUFFER ) },
    { "NCB", sizeof( NCB ) },
    { "NCCALCSIZE_PARAMS", sizeof( NCCALCSIZE_PARAMS ) },
//    { "NDDESHAREINFO", sizeof( NDDESHAREINFO ) },
    { "NETCONNECTINFOSTRUCT", sizeof( NETCONNECTINFOSTRUCT ) },
    { "NETINFOSTRUCT", sizeof( NETINFOSTRUCT ) },
    { "NETRESOURCE", sizeof( NETRESOURCE ) },
    { "NEWCPLINFO", sizeof( NEWCPLINFO ) },
    { "NEWTEXTMETRICA", sizeof( NEWTEXTMETRICA ) },
    { "NEWTEXTMETRICEXA", sizeof( NEWTEXTMETRICEXA ) },
    { "NEWTEXTMETRICEXW", sizeof( NEWTEXTMETRICEXW ) },
    { "NEWTEXTMETRICW", sizeof( NEWTEXTMETRICW ) },
    { "NMCUSTOMDRAW", sizeof( NMCUSTOMDRAW ) },
    { "NMHDR", sizeof( NMHDR ) },
    { "NMHEADER", sizeof( NMHEADER ) },
    { "NMLINK", sizeof( NMLINK ) },
    { "NMLISTVIEW", sizeof( NMLISTVIEW ) },
    { "NM_LISTVIEW", sizeof( NM_LISTVIEW ) },
    { "NMLVCUSTOMDRAW", sizeof( NMLVCUSTOMDRAW ) },
    { "NMLVDISPINFOA", sizeof( NMLVDISPINFOA ) },
    { "NMLVDISPINFOW", sizeof( NMLVDISPINFOW ) },
    { "NMLVFINDITEMA", sizeof( NMLVFINDITEMA ) },
    { "NMLVFINDITEMW", sizeof( NMLVFINDITEMW ) },
    { "NMLVODSTATECHANGE", sizeof( NMLVODSTATECHANGE ) },
    { "NMREBARCHEVRON", sizeof( NMREBARCHEVRON ) },
    { "NMREBARCHILDSIZE", sizeof( NMREBARCHILDSIZE ) },
    { "NMTBHOTITEM", sizeof( NMTBHOTITEM ) },
    { "NMTOOLBARA", sizeof( NMTOOLBARA ) },
    { "NMTOOLBARW", sizeof( NMTOOLBARW ) },
    { "NMTREEVIEW", sizeof( NMTREEVIEW ) },
    { "NMTTCUSTOMDRAW", sizeof( NMTTCUSTOMDRAW ) },
    { "NMTTDISPINFOA", sizeof( NMTTDISPINFOA ) },
    { "NMTTDISPINFOW", sizeof( NMTTDISPINFOW ) },
    { "NMTVCUSTOMDRAW", sizeof( NMTVCUSTOMDRAW ) },
    { "NMTVDISPINFO", sizeof( NMTVDISPINFO ) },
    //{ "NMTVITEMCHANGE", sizeof( NMTVITEMCHANGE ) }, // Vista
    { "NM_UPDOWN", sizeof( NM_UPDOWN ) },
    { "NONCLIENTMETRICSA", sizeof( NONCLIENTMETRICSA ) },
    { "NONCLIENTMETRICSW", sizeof( NONCLIENTMETRICSW ) },
    { "NOTIFYICONDATAA", sizeof( NOTIFYICONDATAA ) },
    { "NOTIFYICONDATAW", sizeof( NOTIFYICONDATAW ) },
    //{ "NS_SERVICE_INFO", sizeof( NS_SERVICE_INFO ) },
    { "NUMBERFMT", sizeof( NUMBERFMT ) },
    { "_OBJECT_TYPE_LIST", sizeof( _OBJECT_TYPE_LIST ) },
    { "OFNOTIFY", sizeof( OFNOTIFY ) },
    { "OFSTRUCT", sizeof( OFSTRUCT ) },
    { "OPENFILENAME", sizeof( OPENFILENAME ) },
    { "OPENFILENAMEA", sizeof( OPENFILENAMEA ) },
    { "OPENFILENAMEW", sizeof( OPENFILENAMEW ) },
    { "OSVERSIONINFOA", sizeof( OSVERSIONINFOA ) },
    { "OSVERSIONINFOEX", sizeof( OSVERSIONINFOEX ) },
    { "OSVERSIONINFOW", sizeof( OSVERSIONINFOW ) },
    { "OUTLINETEXTMETRICA", sizeof( OUTLINETEXTMETRICA ) },
    { "OUTLINETEXTMETRICW", sizeof( OUTLINETEXTMETRICW ) },
    { "OUTPUT_DEBUG_STRING_INFO", sizeof( OUTPUT_DEBUG_STRING_INFO ) },
    { "OVERLAPPED", sizeof( OVERLAPPED ) },
    { "PAINTSTRUCT", sizeof( PAINTSTRUCT ) },
    { "PALETTEENTRY", sizeof( PALETTEENTRY ) },
    { "PAGESETUPDLG", sizeof( PAGESETUPDLG ) },
    { "PANOSE", sizeof( PANOSE ) },
    { "PARAFORMAT", sizeof( PARAFORMAT ) },
    { "PARTITION_INFORMATION", sizeof( PARTITION_INFORMATION ) },
    { "PERF_COUNTER_BLOCK", sizeof( PERF_COUNTER_BLOCK ) },
    { "PERF_COUNTER_DEFINITION", sizeof( PERF_COUNTER_DEFINITION ) },
    { "PERF_DATA_BLOCK", sizeof( PERF_DATA_BLOCK ) },
    { "PERF_INSTANCE_DEFINITION", sizeof( PERF_INSTANCE_DEFINITION ) },
    { "PERF_OBJECT_TYPE", sizeof( PERF_OBJECT_TYPE ) },
    { "PIXELFORMATDESCRIPTOR", sizeof( PIXELFORMATDESCRIPTOR ) },
    { "POINT", sizeof( POINT ) },
    { "POINTFLOAT", sizeof( POINTFLOAT ) },
    { "POINTFX", sizeof( POINTFX ) },
    { "POINTL", sizeof( POINTL ) },
    { "POINTS", sizeof( POINTS ) },
    { "POLYTEXT", sizeof( POLYTEXT ) },
    { "PORT_INFO_1", sizeof( PORT_INFO_1 ) },
    { "PORT_INFO_2", sizeof( PORT_INFO_2 ) },
    { "PREVENT_MEDIA_REMOVAL", sizeof( PREVENT_MEDIA_REMOVAL ) },
    { "PRINTDLGA", sizeof( PRINTDLGA ) },
    { "PRINTDLGW", sizeof( PRINTDLGW ) },
    { "PRINTER_DEFAULTS", sizeof( PRINTER_DEFAULTS ) },
    { "PRINTER_INFO_1", sizeof( PRINTER_INFO_1 ) },
    { "PRINTER_INFO_2", sizeof( PRINTER_INFO_2 ) },
    { "PRINTER_INFO_3", sizeof( PRINTER_INFO_3 ) },
    { "PRINTER_INFO_4", sizeof( PRINTER_INFO_4 ) },
    { "PRINTER_INFO_5", sizeof( PRINTER_INFO_5 ) },
    { "PRINTER_NOTIFY_INFO", sizeof( PRINTER_NOTIFY_INFO ) },
    { "PRINTER_NOTIFY_INFO_DATA", sizeof( PRINTER_NOTIFY_INFO_DATA ) },
    { "PRINTER_NOTIFY_OPTIONS", sizeof( PRINTER_NOTIFY_OPTIONS ) },
    { "PRINTER_NOTIFY_OPTIONS_TYPE", sizeof( PRINTER_NOTIFY_OPTIONS_TYPE ) },
    { "PRINTPROCESSOR_INFO_1", sizeof( PRINTPROCESSOR_INFO_1 ) },
    { "PRIVILEGE_SET", sizeof( PRIVILEGE_SET ) },
    //{ "PROCESS_HEAPENTRY", sizeof( PROCESS_HEAPENTRY ) },
    { "PROCESS_INFORMATION", sizeof( PROCESS_INFORMATION ) },
    { "PROPSHEETHEADER", sizeof( PROPSHEETHEADER ) },
    { "PROPSHEETPAGE", sizeof( PROPSHEETPAGE ) },
    { "PROTOCOL_INFO", sizeof( PROTOCOL_INFO ) },
    { "PROVIDOR_INFO_1", sizeof( PROVIDOR_INFO_1 ) },
    { "PSHNOTIFY", sizeof( PSHNOTIFY ) },
    { "PUNCTUATION", sizeof( PUNCTUATION ) },
    { "QUERY_SERVICE_CONFIG", sizeof( QUERY_SERVICE_CONFIG ) },
    { "QUERY_SERVICE_LOCK_STATUS", sizeof( QUERY_SERVICE_LOCK_STATUS ) },
    { "RASAMB", sizeof( RASAMB ) },
    { "RASCONN", sizeof( RASCONN ) },
    { "RASCONNSTATUS", sizeof( RASCONNSTATUS ) },
    { "RASDIALEXTENSIONS", sizeof( RASDIALEXTENSIONS ) },
    { "RASDIALPARAMS", sizeof( RASDIALPARAMS ) },
    { "RASENTRYNAME", sizeof( RASENTRYNAME ) },
    { "RASPPPIP", sizeof( RASPPPIP ) },
    { "RASPPPIPX", sizeof( RASPPPIPX ) },
    { "RASPPPNBF", sizeof( RASPPPNBF ) },
    { "RASTERIZER_STATUS", sizeof( RASTERIZER_STATUS ) },
    { "REASSIGN_BLOCKS", sizeof( REASSIGN_BLOCKS ) },
    { "REBARBANDINFOA", sizeof( REBARBANDINFOA ) },
    { "REBARBANDINFOW", sizeof( REBARBANDINFOW ) },
    { "RECT", sizeof( RECT ) },
    { "RECTL", sizeof( RECTL ) },
    { "REMOTE_NAME_INFO", sizeof( REMOTE_NAME_INFO ) },
    { "REPASTESPECIAL", sizeof( REPASTESPECIAL ) },
    { "REQRESIZE", sizeof( REQRESIZE ) },
    { "RGBQUAD", sizeof( RGBQUAD ) },
    { "RGBTRIPLE", sizeof( RGBTRIPLE ) },
    { "RGNDATA", sizeof( RGNDATA ) },
    { "RGNDATAHEADER", sizeof( RGNDATAHEADER ) },
    { "RIP_INFO", sizeof( RIP_INFO ) },
    { "SCRIPT_ANALYSIS", sizeof( SCRIPT_ANALYSIS ) },
    { "SCRIPT_CONTROL", sizeof( SCRIPT_CONTROL ) },
    { "SCRIPT_DIGITSUBSTITUTE", sizeof( SCRIPT_DIGITSUBSTITUTE ) },
    { "SCRIPT_FONTPROPERTIES", sizeof( SCRIPT_FONTPROPERTIES ) },
    { "SCRIPT_ITEM", sizeof( SCRIPT_ITEM ) },
    { "SCRIPT_LOGATTR", sizeof( SCRIPT_LOGATTR ) },
    { "SCRIPT_PROPERTIES", sizeof( SCRIPT_PROPERTIES ) },
    { "SCRIPT_STATE", sizeof( SCRIPT_STATE ) },
    { "SCRIPT_TABDEF", sizeof( SCRIPT_TABDEF ) },
    { "SCRIPT_VISATTR", sizeof( SCRIPT_VISATTR ) },
    { "SCROLLBARINFO", sizeof( SCROLLBARINFO ) },
    { "SCROLLINFO", sizeof( SCROLLINFO ) },
    { "SECURITY_ATTRIBUTES", sizeof( SECURITY_ATTRIBUTES ) },
    { "SECURITY_DESCRIPTOR", sizeof( SECURITY_DESCRIPTOR ) },
    { "SECURITY_QUALITY_OF_SERVICE", sizeof( SECURITY_QUALITY_OF_SERVICE ) },
    { "SELCHANGE", sizeof( SELCHANGE ) },
    { "SERIALKEYS", sizeof( SERIALKEYS ) },
    { "SERVICE_ADDRESS", sizeof( SERVICE_ADDRESS ) },
    { "SERVICE_ADDRESSES", sizeof( SERVICE_ADDRESSES ) },
    { "SERVICE_INFO", sizeof( SERVICE_INFO ) },
    { "SERVICE_STATUS", sizeof( SERVICE_STATUS ) },
    { "SERVICE_TABLE_ENTRY", sizeof( SERVICE_TABLE_ENTRY ) },
    { "SERVICE_TYPE_INFO_ABS", sizeof( SERVICE_TYPE_INFO_ABS ) },
    { "SERVICE_TYPE_VALUE_ABS", sizeof( SERVICE_TYPE_VALUE_ABS ) },
    { "SESSION_BUFFER", sizeof( SESSION_BUFFER ) },
    { "SESSION_HEADER", sizeof( SESSION_HEADER ) },
    { "SET_PARTITION_INFORMATION", sizeof( SET_PARTITION_INFORMATION ) },
    { "SHDRAGIMAGE", sizeof( SHDRAGIMAGE ) },
    { "SHELLEXECUTEINFOA", sizeof( SHELLEXECUTEINFOA ) },
    { "SHELLEXECUTEINFOW", sizeof( SHELLEXECUTEINFOW ) },
    { "SHFILEINFOA", sizeof( SHFILEINFOA ) },
    { "SHFILEINFOW", sizeof( SHFILEINFOW ) },
    { "SHFILEOPSTRUCT", sizeof( SHFILEOPSTRUCT ) },
    { "SHITEMID", sizeof( SHITEMID ) },
//    { "SHMENUBARINFO", sizeof( SHMENUBARINFO ) },
    { "SHNAMEMAPPING", sizeof( SHNAMEMAPPING ) },
//    { "SHRGINFO", sizeof( SHRGINFO ) },
    { "SID", sizeof( SID ) },
    { "SID_AND_ATTRIBUTES", sizeof( SID_AND_ATTRIBUTES ) },
    { "SID_IDENTIFIER_AUTHORITY", sizeof( SID_IDENTIFIER_AUTHORITY ) },
    { "SINGLE_LIST_ENTRY", sizeof( SINGLE_LIST_ENTRY ) },
//    { "SIPINFO", sizeof( SIPINFO ) },
    { "SIZE", sizeof( SIZE ) },
    { "SMALL_RECT", sizeof( SMALL_RECT ) },
    { "SOUNDSENTRY", sizeof( SOUNDSENTRY ) },
    { "STARTUPINFO", sizeof( STARTUPINFO ) },
    { "STICKYKEYS", sizeof( STICKYKEYS ) },
    { "STRRET", sizeof( STRRET ) },
    { "STYLEBUF", sizeof( STYLEBUF ) },
    { "STYLESTRUCT", sizeof( STYLESTRUCT ) },
    { "SYSTEM_AUDIT_ACE", sizeof( SYSTEM_AUDIT_ACE ) },
    { "SYSTEM_INFO", sizeof( SYSTEM_INFO ) },
    { "SYSTEM_POWER_STATUS", sizeof( SYSTEM_POWER_STATUS ) },
    { "SYSTEMTIME", sizeof( SYSTEMTIME ) },
    { "TAPE_ERASE", sizeof( TAPE_ERASE ) },
    { "TAPE_GET_DRIVE_PARAMETERS", sizeof( TAPE_GET_DRIVE_PARAMETERS ) },
    { "TAPE_GET_MEDIA_PARAMETERS", sizeof( TAPE_GET_MEDIA_PARAMETERS ) },
    { "TAPE_GET_POSITION", sizeof( TAPE_GET_POSITION ) },
    { "TAPE_PREPARE", sizeof( TAPE_PREPARE ) },
    { "TAPE_SET_DRIVE_PARAMETERS", sizeof( TAPE_SET_DRIVE_PARAMETERS ) },
    { "TAPE_SET_MEDIA_PARAMETERS", sizeof( TAPE_SET_MEDIA_PARAMETERS ) },
    { "TAPE_SET_POSITION", sizeof( TAPE_SET_POSITION ) },
    { "TAPE_WRITE_MARKS", sizeof( TAPE_WRITE_MARKS ) },
    { "TBADDBITMAP", sizeof( TBADDBITMAP ) },
    { "TBBUTTON", sizeof( TBBUTTON ) },
    { "TBBUTTONINFOA", sizeof( TBBUTTONINFOA ) },
    { "TBBUTTONINFOW", sizeof( TBBUTTONINFOW ) },
    { "TBNOTIFY", sizeof( TBNOTIFY ) },
    { "TBSAVEPARAMS", sizeof( TBSAVEPARAMS ) },
    { "TC_HITTESTINFO", sizeof( TC_HITTESTINFO ) },
    { "TC_ITEM", sizeof( TC_ITEM ) },
    { "TCITEMA", sizeof( TCITEMA ) },
    { "TC_ITEMHEADER", sizeof( TC_ITEMHEADER ) },
    { "TCITEMW", sizeof( TCITEMW ) },
    { "TC_KEYDOWN", sizeof( TC_KEYDOWN ) },
    { "TEXTMETRICA", sizeof( TEXTMETRICA ) },
    { "TEXTMETRICW", sizeof( TEXTMETRICW ) },
    { "TEXTRANGE", sizeof( TEXTRANGE ) },
    { "TF_DA_COLOR", sizeof( TF_DA_COLOR ) },
    { "TF_DISPLAYATTRIBUTE", sizeof( TF_DISPLAYATTRIBUTE ) },
    { "TIME_ZONE_INFORMATION", sizeof( TIME_ZONE_INFORMATION ) },
    { "TOGGLEKEYS", sizeof( TOGGLEKEYS ) },
    { "TOKEN_CONTROL", sizeof( TOKEN_CONTROL ) },
    { "TOKEN_DEFAULT_DACL", sizeof( TOKEN_DEFAULT_DACL ) },
    { "TOKEN_GROUPS", sizeof( TOKEN_GROUPS ) },
    { "TOKEN_OWNER", sizeof( TOKEN_OWNER ) },
    { "TOKEN_PRIMARY_GROUP", sizeof( TOKEN_PRIMARY_GROUP ) },
    { "TOKEN_PRIVILEGES", sizeof( TOKEN_PRIVILEGES ) },
    { "TOKEN_SOURCE", sizeof( TOKEN_SOURCE ) },
    { "TOKEN_STATISTICS", sizeof( TOKEN_STATISTICS ) },
    { "TOKEN_USER", sizeof( TOKEN_USER ) },
    { "TOOLINFOA", sizeof( TOOLINFOA ) },
    { "TOOLINFOW", sizeof( TOOLINFOW ) },
    { "TOOLTIPTEXTA", sizeof( TOOLTIPTEXTA ) },
    { "TOOLTIPTEXTW", sizeof( TOOLTIPTEXTW ) },
    { "TPMPARAMS", sizeof( TPMPARAMS ) },
    { "TRACKMOUSEEVENT", sizeof( TRACKMOUSEEVENT ) },
    { "TRANSMIT_FILE_BUFFERS", sizeof( TRANSMIT_FILE_BUFFERS ) },
//    { "TREEITEM", sizeof( TREEITEM ) },
    { "TRIVERTEX", sizeof( TRIVERTEX ) },
//    { "TSMALLPOINT", sizeof( TSMALLPOINT ) },
    { "TTHITTESTINFO", sizeof( TTHITTESTINFO ) },
    { "TTPOLYCURVE", sizeof( TTPOLYCURVE ) },
    { "TTPOLYGONHEADER", sizeof( TTPOLYGONHEADER ) },
    { "TV_DISPINFO", sizeof( TV_DISPINFO ) },
    { "TVHITTESTINFO", sizeof( TVHITTESTINFO ) },
    { "TV_HITTESTINFO", sizeof( TV_HITTESTINFO ) },
    { "TVINSERTSTRUCTA", sizeof( TVINSERTSTRUCTA ) },
    { "TVINSERTSTRUCTW", sizeof( TVINSERTSTRUCTW ) },
    { "TVITEMA", sizeof( TVITEMA ) },
    { "TVITEMEXA", sizeof( TVITEMEXA ) },
    { "TVITEMEXW", sizeof( TVITEMEXW ) },
    { "TVITEMW", sizeof( TVITEMW ) },
    { "TV_KEYDOWN", sizeof( TV_KEYDOWN ) },
    { "TVSORTCB", sizeof( TVSORTCB ) },
    { "TV_SORTCB", sizeof( TV_SORTCB ) },
    { "UDACCEL", sizeof( UDACCEL ) },
    { "UNIVERSAL_NAME_INFO", sizeof( UNIVERSAL_NAME_INFO ) },
    { "UNLOAD_DLL_DEBUG_INFO", sizeof( UNLOAD_DLL_DEBUG_INFO ) },
    { "USER_INFO_0", sizeof( USER_INFO_0 ) },
    { "USER_INFO_2", sizeof( USER_INFO_2 ) },
    { "USER_INFO_3", sizeof( USER_INFO_3 ) },
    { "USEROBJECTFLAGS", sizeof( USEROBJECTFLAGS ) },
    { "VALENT", sizeof( VALENT ) },
    //{ "VA_LIST", sizeof( VA_LIST ) },
    { "va_list", sizeof( va_list ) },
    { "VARIANT", sizeof( VARIANT ) },
    { "VERIFY_INFORMATION", sizeof( VERIFY_INFORMATION ) },
    { "VS_FIXEDFILEINFO", sizeof( VS_FIXEDFILEINFO ) },
    { "WAVEFORMATEX", sizeof( WAVEFORMATEX ) },
    { "WIN32_FILE_ATTRIBUTE_DATA", sizeof( WIN32_FILE_ATTRIBUTE_DATA ) },
    { "WIN32_FIND_DATA", sizeof( WIN32_FIND_DATA ) },
    { "WIN32_FIND_DATAW", sizeof( WIN32_FIND_DATAW ) },
    { "WIN32_STREAM_ID", sizeof( WIN32_STREAM_ID ) },
    { "WINDOW_BUFFER_SIZE_RECORD", sizeof( WINDOW_BUFFER_SIZE_RECORD ) },
    { "WINDOWINFO", sizeof( WINDOWINFO ) },
    { "WINDOWPLACEMENT", sizeof( WINDOWPLACEMENT ) },
    { "WINDOWPOS", sizeof( WINDOWPOS ) },
    { "WNDCLASSA", sizeof( WNDCLASSA ) },
    { "WNDCLASSEX", sizeof( WNDCLASSEX ) },
    { "WNDCLASSW", sizeof( WNDCLASSW ) },
    { "XFORM", sizeof( XFORM ) },
};

int main( int n, char** args ){
    printf( "_WIN32_WINNT\t0x%04X\n", _WIN32_WINNT );
    printf( "_WIN32_IE\t0x%04X\n", _WIN32_IE );
    int i = 0;
    for( i = 0; i < sizeof( size_values )/sizeof( size_values[0] ); i++ ){
        printf( "%s\t%d\n", size_values[i].name, size_values[i].size );
    }
	//getc();
    return 0;
}

